View All user_profile
GET /api/v1/user/profiles
Operation id: get__api_v1_user_profiles
Description
Lists all UserProfileDTO from the user_profile table
Tags: UserProfile
Parameters
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | page number for returned records |
page_size | integer | No | number of records to return per page. |
sort_by | string | No | record field to sort by |
sort_order | string | No | direction to sort records |
tenant_id | string | Yes | tenant ID |
Security
- PhoenixToken-Authorization (apiKey)
- PhoenixToken-Authorization
Responses
200 — OK
Content type: application/json
400 — Bad Request
Content type: application/json
500 — Internal Server Error
Content type: application/json
Response models
200 — OK
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
total_rows | integer | No | |
user_profile | array | No |
{
"type": "object",
"properties": {
"total_rows": {
"type": "integer"
},
"user_profile": {
"type": "array",
"items": {
"type": "object",
"properties": {
"customer_id": {
"type": "integer"
},
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"value": {
"type": "array",
"items": {
"type": "integer"
}
}
}
}
}
}
}
400 — Bad Request
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer | No | |
message | string | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"example": 0
},
"message": {
"type": "string",
"example": "Success"
}
}
}
500 — Internal Server Error
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer | No | |
message | string | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"example": 0
},
"message": {
"type": "string",
"example": "Success"
}
}
}